BASH5TOOLS(1)

NAME
bash5tools - Tool for extracting data from .bas.h5 files

SYNOPSIS
bash5tools [-h] [--verbose] [--version] [--profile] [--debug] [--outFilePrefix OUTFILEPREFIX] [--readType {ccs,subreads,unrolled}] [--outType OUTTYPE] [--minLength MINLENGTH] [--minReadScore MINREADSCORE] [--minPasses MINPASSES] input.bas.h5

OPTIONS

  positional arguments:

input.bas.h5
    input .bas.h5 filename

  optional arguments:

-h, --help
    show this help message and exit

--verbose, -v
    Set the verbosity level (default: None)

--version
    show program's version number and exit

--profile
    Print runtime profile at exit (default: False)

--debug
    Catch exceptions in debugger (requires ipdb) (default: False)

--outFilePrefix OUTFILEPREFIX
    output filename prefix [None]

--readType {ccs,subreads,unrolled}
    read type (ccs, subreads, or unrolled) []

--outType OUTTYPE
    output file type (fasta, fastq) [fasta]

  Read filtering arguments:

--minLength MINLENGTH
    min read length [0]

--minReadScore MINREADSCORE
    min read score, valid only with --readType={unrolled,subreads} [0]

--minPasses MINPASSES
    min number of CCS passes, valid only with --readType=ccs [0]

SEE ALSO
cmph5tools(1)